Subject: Re: bug#42301: [PATCH] gnu: solfage: fix build.

From: Nicolas Goaziou <[email-masked]>
Date: Tue, 11 Aug 2020 19:09:36 +0200

Hello,

Michael Rohleder <[email-masked]> writes:

> This is interesting, I can't reproduce this, it builds (and runs) fine here.
> Are you using a newer version of lilypond? (here, its 2.20.0 from
> current master)

I am using ./pre-inst-env guix, so latest version of lilypond in the
repository. I applied your patch on top of
145484e8f5d89911f5f905c9fe604e3cbfd1e434.

I'm pasting here the short build log, from configure phase:

--8<---------------cut here---------------start------------->8---
starting phase `configure'
source directory: "/tmp/guix-build-solfege-3.22.2.drv-0/solfege-3.22.2" (relative from build: ".")
build directory: "/tmp/guix-build-solfege-3.22.2.drv-0/solfege-3.22.2"
configure flags: ("CONFIG_SHELL=/gnu/store/pwcp239kjf7lnj5i4lkdzcfcxwcfyk72-bash-minimal-5.0.16/bin/bash" "SHELL=/gnu/store/pwcp239kjf7lnj5i4lkdzcfcxwcfyk72-bash-minimal-5.0.16/bin/bash" "--prefix=/gnu/store/20v7anwhwhfnp9g5flf77jbj74znarc1-solfege-3.22.2" "--enable-fast-install" "--build=x86_64-unknown-linux-gnu")
configure: WARNING: unrecognized options: --enable-fast-install
checking for gcc... gcc
checking whether the C compiler works... yes
checking for C compiler default output file name... a.out
checking for suffix of executables... 
checking whether we are cross compiling... no
checking for suffix of object files... o
checking whether we are using the GNU C compiler... yes
checking whether gcc accepts -g... yes
checking for gcc option to accept ISO C89... none needed
checking for a Python interpreter with version >= 2.5... python
checking for python... /gnu/store/ln0jd0k32xbr2jyha1sdaynllkazgmsi-python2-2.7.17/bin/python
checking for python version... 2.7
checking for python platform... linux2
checking for python script directory... ${prefix}/lib/python2.7/site-packages
checking for python extension module directory... ${exec_prefix}/lib/python2.7/site-packages
checking how to run the C preprocessor... gcc -E
checking for headers required to compile python extensions... found
checking for a BSD-compatible install... /gnu/store/57xj5gcy1jbl9ai2lnrqnpr0dald9i65-coreutils-8.32/bin/install -c
checking whether make sets $(MAKE)... no
checking for swig... no
checking for lilypond... /gnu/store/q3msgwcg2fl8jf7cp1d7n59iiyywc9n9-lilypond-2.20.0/bin/lilypond
checking for bzr... notfound
checking for gs... /gnu/store/00myzm2c6sdh324w54syzb9m23v6h6nj-ghostscript-9.52/bin/gs
checking for xgettext... /gnu/store/n9wx4dp68bfsw9bb1bwmklzl34ggrmgm-gettext-minimal-0.20.1/bin/xgettext
checking for msgfmt... /gnu/store/n9wx4dp68bfsw9bb1bwmklzl34ggrmgm-gettext-minimal-0.20.1/bin/msgfmt
checking for msgmerge... /gnu/store/n9wx4dp68bfsw9bb1bwmklzl34ggrmgm-gettext-minimal-0.20.1/bin/msgmerge
checking for msggrep... /gnu/store/n9wx4dp68bfsw9bb1bwmklzl34ggrmgm-gettext-minimal-0.20.1/bin/msggrep
checking for makeinfo... /gnu/store/w8k9hcigvhzrlrblv8lgqj77sm3833rs-texinfo-6.7/bin/makeinfo
checking for sed... /gnu/store/ishk7fswcs4gkwcp8mh788z4mvvl9bxh-sed-4.8/bin/sed
checking for cat... /gnu/store/57xj5gcy1jbl9ai2lnrqnpr0dald9i65-coreutils-8.32/bin/cat
checking for pkg-config... /gnu/store/krpyb0zi700dcrg9cc8932w4v0qivdg9-pkg-config-0.29.2/bin/pkg-config
checking pkg-config is at least version 0.17.0... yes
checking for PYGTK... yes
checking for xml2po... no
checking for xsltproc... no
checking for /usr/share/sgml/docbook/stylesheet/xsl/nwalsh/html/chunk.xsl... no
checking for grep that handles long lines and -e... /gnu/store/bhs4rj58v8j1narb2454raan2ps38xd8-grep-3.4/bin/grep
checking for egrep... /gnu/store/bhs4rj58v8j1narb2454raan2ps38xd8-grep-3.4/bin/grep -E
checking for ANSI C header files... yes
checking for sys/types.h... yes
checking for sys/stat.h... yes
checking for stdlib.h... yes
checking for string.h... yes
checking for memory.h... yes
checking for strings.h... yes
checking for inttypes.h... yes
checking for stdint.h... yes
checking for unistd.h... yes
checking sys/soundcard.h usability... yes
checking sys/soundcard.h presence... yes
checking for sys/soundcard.h... yes
checking for ANSI C header files... (cached) yes
checking fcntl.h usability... yes
checking fcntl.h presence... yes
checking for fcntl.h... yes
checking sys/ioctl.h usability... yes
checking sys/ioctl.h presence... yes
checking for sys/ioctl.h... yes
checking for unistd.h... (cached) yes
checking for an ANSI C-conforming const... yes
checking whether gcc needs -traditional... no
configure: creating ./config.status
config.status: creating run-solfege.py
config.status: creating solfege/buildinfo.py
config.status: creating topdocs/defs.texi
config.status: creating windowsinstaller.iss
config.status: creating Makefile
config.status: WARNING:  'Makefile.in' seems to ignore the --datarootdir setting
config.status: creating autopackage/default.apspec
config.status: creating help/C/solfege.xml
config.status: creating config.h
configure: WARNING: unrecognized options: --enable-fast-install
configure: 
configure: Please remember to rerun configure if you change swig versions!
configure: 
configure: xml2po was not found. This is no big deal, but it mean that the
configure: translated user manuals will not be updated if you make changes
configure: to the english manual.
phase `configure' succeeded after 2.8 seconds
starting phase `patch-generated-file-shebangs'
patch-shebang: ./test/seq.py: warning: no binary for interpreter `python2.3' found in $PATH
phase `patch-generated-file-shebangs' succeeded after 0.1 seconds
starting phase `patch-python-shebangs'
phase `patch-python-shebangs' succeeded after 0.0 seconds
starting phase `patch-readme'
phase `patch-readme' succeeded after 0.0 seconds
starting phase `add-sitedirs'
phase `add-sitedirs' succeeded after 0.0 seconds
starting phase `adjust-config-file-prefix'
phase `adjust-config-file-prefix' succeeded after 0.0 seconds
starting phase `build'
/gnu/store/n9wx4dp68bfsw9bb1bwmklzl34ggrmgm-gettext-minimal-0.20.1/bin/msgfmt po/cs.po -o po/cs.mo
/gnu/store/n9wx4dp68bfsw9bb1bwmklzl34ggrmgm-gettext-minimal-0.20.1/bin/msgfmt po/da.po -o po/da.mo
/gnu/store/n9wx4dp68bfsw9bb1bwmklzl34ggrmgm-gettext-minimal-0.20.1/bin/msgfmt po/de.po -o po/de.mo
/gnu/store/n9wx4dp68bfsw9bb1bwmklzl34ggrmgm-gettext-minimal-0.20.1/bin/msgfmt po/eo.po -o po/eo.mo
/gnu/store/n9wx4dp68bfsw9bb1bwmklzl34ggrmgm-gettext-minimal-0.20.1/bin/msgfmt po/es.po -o po/es.mo
/gnu/store/n9wx4dp68bfsw9bb1bwmklzl34ggrmgm-gettext-minimal-0.20.1/bin/msgfmt po/et.po -o po/et.mo
/gnu/store/n9wx4dp68bfsw9bb1bwmklzl34ggrmgm-gettext-minimal-0.20.1/bin/msgfmt po/fa.po -o po/fa.mo
/gnu/store/n9wx4dp68bfsw9bb1bwmklzl34ggrmgm-gettext-minimal-0.20.1/bin/msgfmt po/fi.po -o po/fi.mo
/gnu/store/n9wx4dp68bfsw9bb1bwmklzl34ggrmgm-gettext-minimal-0.20.1/bin/msgfmt po/fr.po -o po/fr.mo
/gnu/store/n9wx4dp68bfsw9bb1bwmklzl34ggrmgm-gettext-minimal-0.20.1/bin/msgfmt po/gl.po -o po/gl.mo
/gnu/store/n9wx4dp68bfsw9bb1bwmklzl34ggrmgm-gettext-minimal-0.20.1/bin/msgfmt po/hr.po -o po/hr.mo
/gnu/store/n9wx4dp68bfsw9bb1bwmklzl34ggrmgm-gettext-minimal-0.20.1/bin/msgfmt po/hu.po -o po/hu.mo
/gnu/store/n9wx4dp68bfsw9bb1bwmklzl34ggrmgm-gettext-minimal-0.20.1/bin/msgfmt po/it.po -o po/it.mo
/gnu/store/n9wx4dp68bfsw9bb1bwmklzl34ggrmgm-gettext-minimal-0.20.1/bin/msgfmt po/nb.po -o po/nb.mo
/gnu/store/n9wx4dp68bfsw9bb1bwmklzl34ggrmgm-gettext-minimal-0.20.1/bin/msgfmt po/nl.po -o po/nl.mo
/gnu/store/n9wx4dp68bfsw9bb1bwmklzl34ggrmgm-gettext-minimal-0.20.1/bin/msgfmt po/pl.po -o po/pl.mo
/gnu/store/n9wx4dp68bfsw9bb1bwmklzl34ggrmgm-gettext-minimal-0.20.1/bin/msgfmt po/pt_BR.po -o po/pt_BR.mo
/gnu/store/n9wx4dp68bfsw9bb1bwmklzl34ggrmgm-gettext-minimal-0.20.1/bin/msgfmt po/ru.po -o po/ru.mo
/gnu/store/n9wx4dp68bfsw9bb1bwmklzl34ggrmgm-gettext-minimal-0.20.1/bin/msgfmt po/sv.po -o po/sv.mo
/gnu/store/n9wx4dp68bfsw9bb1bwmklzl34ggrmgm-gettext-minimal-0.20.1/bin/msgfmt po/tr.po -o po/tr.mo
/gnu/store/n9wx4dp68bfsw9bb1bwmklzl34ggrmgm-gettext-minimal-0.20.1/bin/msgfmt po/vi.po -o po/vi.mo
/gnu/store/n9wx4dp68bfsw9bb1bwmklzl34ggrmgm-gettext-minimal-0.20.1/bin/msgfmt po/zh_CN.po -o po/zh_CN.mo
/gnu/store/ln0jd0k32xbr2jyha1sdaynllkazgmsi-python2-2.7.17/bin/python tools/generate_theory_ly.py --all
make all
make[1]: Entering directory '/tmp/guix-build-solfege-3.22.2.drv-0/solfege-3.22.2'
mkdir -p share/locale/cs/LC_MESSAGES
mkdir -p share/locale/da/LC_MESSAGES
mkdir -p share/locale/de/LC_MESSAGES
mkdir -p share/locale/eo/LC_MESSAGES
cp po/cs.mo share/locale/cs/LC_MESSAGES/solfege.mo
cp po/da.mo share/locale/da/LC_MESSAGES/solfege.mo
cp po/de.mo share/locale/de/LC_MESSAGES/solfege.mo
cp po/eo.mo share/locale/eo/LC_MESSAGES/solfege.mo
mkdir -p share/locale/es/LC_MESSAGES
mkdir -p share/locale/et/LC_MESSAGES
mkdir -p share/locale/fa/LC_MESSAGES
cp po/es.mo share/locale/es/LC_MESSAGES/solfege.mo
cp po/et.mo share/locale/et/LC_MESSAGES/solfege.mo
cp po/fa.mo share/locale/fa/LC_MESSAGES/solfege.mo
mkdir -p share/locale/fi/LC_MESSAGES
mkdir -p share/locale/fr/LC_MESSAGES
mkdir -p share/locale/gl/LC_MESSAGES
cp po/fi.mo share/locale/fi/LC_MESSAGES/solfege.mo
cp po/fr.mo share/locale/fr/LC_MESSAGES/solfege.mo
cp po/gl.mo share/locale/gl/LC_MESSAGES/solfege.mo
mkdir -p share/locale/hr/LC_MESSAGES
mkdir -p share/locale/hu/LC_MESSAGES
mkdir -p share/locale/it/LC_MESSAGES
mkdir -p share/locale/nb/LC_MESSAGES
cp po/hr.mo share/locale/hr/LC_MESSAGES/solfege.mo
cp po/hu.mo share/locale/hu/LC_MESSAGES/solfege.mo
cp po/it.mo share/locale/it/LC_MESSAGES/solfege.mo
cp po/nb.mo share/locale/nb/LC_MESSAGES/solfege.mo
mkdir -p share/locale/nl/LC_MESSAGES
mkdir -p share/locale/pl/LC_MESSAGES
cp po/nl.mo share/locale/nl/LC_MESSAGES/solfege.mo
mkdir -p share/locale/pt_BR/LC_MESSAGES
cp po/pl.mo share/locale/pl/LC_MESSAGES/solfege.mo
mkdir -p share/locale/ru/LC_MESSAGES
mkdir -p share/locale/sv/LC_MESSAGES
cp po/pt_BR.mo share/locale/pt_BR/LC_MESSAGES/solfege.mo
cp po/ru.mo share/locale/ru/LC_MESSAGES/solfege.mo
mkdir -p share/locale/tr/LC_MESSAGES
cp po/sv.mo share/locale/sv/LC_MESSAGES/solfege.mo
mkdir -p share/locale/vi/LC_MESSAGES
mkdir -p share/locale/zh_CN/LC_MESSAGES
cp po/tr.mo share/locale/tr/LC_MESSAGES/solfege.mo
cp po/vi.mo share/locale/vi/LC_MESSAGES/solfege.mo
/gnu/store/q3msgwcg2fl8jf7cp1d7n59iiyywc9n9-lilypond-2.20.0/bin/lilypond -I ../../C/ly --png -d backend=eps -o help/C/ly/inverting-intervals help/C/ly/inverting-intervals.ly
/gnu/store/q3msgwcg2fl8jf7cp1d7n59iiyywc9n9-lilypond-2.20.0/bin/lilypond -I ../../C/ly --png -d backend=eps -o help/C/ly/theory-intervals-1 help/C/ly/theory-intervals-1.ly
cp po/zh_CN.mo share/locale/zh_CN/LC_MESSAGES/solfege.mo
/gnu/store/q3msgwcg2fl8jf7cp1d7n59iiyywc9n9-lilypond-2.20.0/bin/lilypond -I ../../C/ly --png -d backend=eps -o help/C/ly/theory-intervals-fifths-1 help/C/ly/theory-intervals-fifths-1.ly
/gnu/store/q3msgwcg2fl8jf7cp1d7n59iiyywc9n9-lilypond-2.20.0/bin/lilypond -I ../../C/ly --png -d backend=eps -o help/C/ly/theory-intervals-fifths-2 help/C/ly/theory-intervals-fifths-2.ly
fatal error: Uninitialized variable `write-performances-midis' in module (lily)
make[1]: *** [help/Makefile:155: help/C/ly/theory-intervals-1.png] Error 1
make[1]: *** Waiting for unfinished jobs....
fatal error: Uninitialized variable `write-performances-midis' in module (lily)
make[1]: *** [help/Makefile:155: help/C/ly/inverting-intervals.png] Error 1
fatal error: Uninitialized variable `write-performances-midis' in module (lily)
make[1]: *** [help/Makefile:155: help/C/ly/theory-intervals-fifths-2.png] Error 1
fatal error: Uninitialized variable `write-performances-midis' in module (lily)
make[1]: *** [help/Makefile:155: help/C/ly/theory-intervals-fifths-1.png] Error 1
make[1]: Leaving directory '/tmp/guix-build-solfege-3.22.2.drv-0/solfege-3.22.2'
make: *** [Makefile:74: genfiles] Error 2
command "make" "-j" "4" failed with status 2
builder for `/gnu/store/j7mw53h0pwvp6g620i6argf0gfh4d101-solfege-3.22.2.drv' failed with exit code 1
build of /gnu/store/j7mw53h0pwvp6g620i6argf0gfh4d101-solfege-3.22.2.drv failed
View build log at '/var/log/guix/drvs/j7/mw53h0pwvp6g620i6argf0gfh4d101-solfege-3.22.2.drv.bz2'.
guix build: error: build of `/gnu/store/j7mw53h0pwvp6g620i6argf0gfh4d101-solfege-3.22.2.drv' failed
--8<---------------cut here---------------end--------------->8---

Regards,
-- 
Nicolas Goaziou